@echo off
goto beginning
' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
:beginning

rem Add a new user

echo Adding a user
net user %1 /add
net user %1 /script:NETLOGON /homedir:\\dc1\%1

echo Adding a home folder
md d:\Users\%1

echo Granting permissions to the home folder
cacls d:\Users\%1 /g Administrators:F
cacls d:\Users\%1 /e /g %1:C

echo Sharing the home folder
net share %1=d:\Users\%1
