' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit

Const GUID_USERS_CONTAINER              = "a9d1ca15768811d1aded00c04fd8d5cd"
Const GUID_COMPUTRS_CONTAINER           = "aa312825768811d1aded00c04fd8d5cd"
Const GUID_SYSTEMS_CONTAINER            = "ab1d30f3768811d1aded00c04fd8d5cd"
Const GUID_DOMAIN_CONTROLLERS_CONTAINER = "a361b2ffffd211d1aa4b00c04fd7d83a"
Const GUID_INFRASTRUCTURE_CONTAINER     = "2fbac1870ade11d297c400c04fd8d5cd"
Const GUID_DELETED_OBJECTS_CONTAINER    = "18e2ea80684f11d2b9aa00c04f79f805"
Const GUID_LOSTANDFOUND_CONTAINER       = "ab8153b7768811d1aded00c04fd8d5cd"

Dim objContainer, objChild, strContainerDN

Set objContainer = GetObject("LDAP://<WKGUID=" & GUID_USERS_CONTAINER & _
	",DC=sanao,DC=com>")
strContainerDN = objContainer.Get("distinguishedName")
Set objContainer = GetObject("LDAP://" & strContainerDN)

For Each objChild In objContainer
	WScript.Echo objChild.Name & vbTab & objChild.Description
Next
